## org.h2.log
Class LogFile

    java.lang.Object
      org.h2.log.LogFile

    public class LogFile

extends java.lang.Object

Each transaction log file contains a number of log records. Header format:

     int logId (<0 means ignore: rolled back already)
     int firstUncommittedLogRecordId (-1 if none)
     int firstUnwrittenLogRecordId (-1 if none)

Record format:

     int block size
     byte 'D' (delete) / 'I' (insert) / 'C' (commit) /
          'R' (rollback) / 'P' (prepare commit) / 'T' (truncate)
     int session
     [delete/insert only:]
     int storage
     int record.pos
     int record.blockCount
     [prepare commit only:]
     string transaction

Field Summary
`static int` `BLOCK_SIZE` The size of the smallest possible transaction log entry in bytes.

Method Summary
`java.lang.String` `getFileName()` Get the name of this transaction log file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLOCK_SIZE

    public static final int BLOCK_SIZE

  The size of the smallest possible transaction log entry in bytes.

  See Also:
    Constant Field Values

Method Detail

### getFileName

    public java.lang.String getFileName()

  Get the name of this transaction log file.

  Returns:
    the file name